com.corticon.eclipse.studio.vocabulary.core

## Interface IDomain

- All Superinterfaces:
    java.lang.Cloneable, IElement

      public interface IDomain
      extends IElement

  IDomain is an immutable convenience facade that wraps an EPackage and its annotation-based extension, making them appear to the client as a single object.

- - ### Field Summary

    - ### Fields inherited from interface com.corticon.eclipse.studio.vocabulary.core.IElement

      `IDENTITY_STRATEGY_IDENTITY, IDENTITY_STRATEGY_INCREMENT, IDENTITY_STRATEGY_NATIVE, IDENTITY_STRATEGY_SEQUENCE, IDENTITY_STRATEGY_UUID_HEX`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List` | `getChildDomains()` Return a list of all child domains contained within this domain.
    `java.util.List` | `getChildEntities()` Return a list of all child entities contained within this domain.
    `java.lang.String` | `getDomainHierarchy()` Return the domain hierarchy for this domain.
    `java.lang.String` | `getDomainHierarchy(boolean abBase)` Return the domain hierarchy for this domain.
    `org.eclipse.emf.ecore.EPackage` | `getEPackage()` Returns the EPackage that this facade wraps.
    `com.corticon.rulesemf.canonicalvocabularymodel.DomainExtension` | `getExtension()` Return the DomainExtension if any.
    `java.lang.String` | `getName()` Return the unqualified domain name.
    `IDomain` | `getParentDomain()` Return the parent domain of this domain.

    - ### Methods inherited from interface com.corticon.eclipse.studio.vocabulary.core.IElement

      `findExtension, findExtension, getAllContents, getAllContents, getChildren, getChildren, getGUID, getNamedElement, getParent, getParent, getSource, hasChildren`

- - ### Method Detail

    - #### getChildDomains

          java.util.List getChildDomains()

      Return a list of all child domains contained within this domain.
      Returns:
        List consisting of IDomain instances.

    - #### getChildEntities

          java.util.List getChildEntities()

      Return a list of all child entities contained within this domain.
      Returns:
        List consisting of IEntity instances.

    - #### getDomainHierarchy

          java.lang.String getDomainHierarchy()

      Return the domain hierarchy for this domain.
      Returns:
        String of domain nodes or `null`.

    - #### getDomainHierarchy

          java.lang.String getDomainHierarchy(boolean abBase)

      Return the domain hierarchy for this domain.
      Parameters:
        `abBase` - `true` to return base value.
      Returns:
        String of domain nodes or `null`.

    - #### getEPackage

          org.eclipse.emf.ecore.EPackage getEPackage()

      Returns the EPackage that this facade wraps.
      Returns:
        EPackage instance.

    - #### getExtension

          com.corticon.rulesemf.canonicalvocabularymodel.DomainExtension getExtension()

      Return the DomainExtension if any.
      Returns:
        DomainExtension instance.

    - #### getName

          java.lang.String getName()

      Return the unqualified domain name.
      Specified by:
        `getName` in interface `IElement`
      Returns:
        Domain name.

    - #### getParentDomain

          IDomain getParentDomain()

      Return the parent domain of this domain.
      Returns:
        Parent domain.

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.